import React from "react";
import {Button} from "antd";
import {usePathname, useRouter} from "next/navigation";
import {DetailFormProps} from "@/app/ui/task/project/DetailForm";
import {DetailModelForm} from "@/app/ui/task/project/DetailModelForm";
import {OPERATION_BUTTON_TYPE} from "@/app/lib/task/project/data";
import AdvancedSearchForm from "@/app/ui/task/AdvancedSearchForm";
import CustomSearchForm from "@/app/ui/task/CustomSearchForm";
// export const TitleOperation: React.FC<DetailFormProps>= () =>
export const TitleOperation: React.FC = () => {
    const {replace} = useRouter();
    const [currentPath, setCurrentPath] = React.useState(usePathname());
    return <div style={{display: 'flex'}}>
        <DetailModelForm operationId={OPERATION_BUTTON_TYPE.ADD} description='添加主线任务'/>
        {currentPath.startsWith("/task/project") ? <Button type="primary" onClick={() => {
                replace("/task/four");
                setCurrentPath("/task/four");
            }}>四象限显示</Button> :
            <Button type="primary" onClick={() => {
                replace("/task/project");
                setCurrentPath("/task/project")
            }}>列表显示</Button>}
        <AdvancedSearchForm/>
        </div>
}
